#include "nms_types.h"

extern char string1[];
extern char string2[];

extern OCTET_STRING octet1[];
extern OCTET_STRING octet2[];

extern CO_DOMAIN_PTR	pDomain1;
extern CO_DOMAIN_PTR	pDomain2;

#ifdef xxx
RET_T sdoServInd(CO_LINE_TYPE, BOOL_T, UNSIGNED8, UNSIGNED16, UNSIGNED8);
RET_T sdoServWrInd(CO_LINE_TYPE, BOOL_T, UNSIGNED8, UNSIGNED16, UNSIGNED8);
RET_T sdoServChkInd(CO_LINE_TYPE, BOOL_T, UNSIGNED8, UNSIGNED16, UNSIGNED8, const UNSIGNED8 *);
void errCtrl(CO_LINE_DECL, UNSIGNED8, CO_ERRCTRL_T, CO_NMT_STATE_T);
RET_T nmtInd(CO_LINE_DECL, BOOL_T, CO_NMT_STATE_T);
void pdoInd(CO_LINE_TYPE, UNSIGNED16);
void pdoRecInd(CO_LINE_TYPE, UNSIGNED16);
void pdoSyncInd(CO_LINE_TYPE, UNSIGNED16);
void syncInd(CO_LINE_TYPE);
void syncFinishedInd(CO_LINE_TYPE);
void ledRedInd(CO_LINE_TYPE, BOOL_T);
void ledGreenInd(CO_LINE_TYPE, BOOL_T);
void canInd(CO_LINE_TYPE, CO_CAN_STATE_T);
void commInd(CO_LINE_TYPE, CO_COMM_STATE_EVENT_T);
void sdoClRd(CO_LINE_TYPE, UNSIGNED8, UNSIGNED16, UNSIGNED8, UNSIGNED32, UNSIGNED32);
void sdoClWr(CO_LINE_TYPE, UNSIGNED8, UNSIGNED16, UNSIGNED8, UNSIGNED32);
void sdoQuInd(CO_LINE_TYPE, void *pData, UNSIGNED32 result);
RET_T emcyInd(CO_LINE_TYPE, UNSIGNED16 errCode, const UNSIGNED8 *addErrorCode);
void emcyConsInd(CO_LINE_TYPE, UNSIGNED8 node, UNSIGNED16 errCode, UNSIGNED8 errorRegister, UNSIGNED8 const *addErrorCode);
void timeInd(CO_LINE_TYPE, CO_TIME_T *pTime);
RET_T storeInd(CO_LINE_DECL, UNSIGNED8 subIndex);
#endif


void sdoClientReadInd(UNSIGNED8 canLine, UNSIGNED8 sdoNr, UNSIGNED16 index,
		UNSIGNED8	subIndex, UNSIGNED32 size, UNSIGNED32 result);
void sdoClientWriteInd(UNSIGNED8 canLine, UNSIGNED8	sdoNr,
		UNSIGNED16 index, UNSIGNED8 subIndex, UNSIGNED32 result);

uint8 getMyNodeId(CO_LINE_DECL);
